--[[		NpcHide
]]--		by Kriptonite
local NpcHide = CreateFrame("Frame", "NpcHideFrame", nil)

local BlizzardTexture = "Interface\\AddOns\\HideNpcTracking\\ObjectIcons"
local HideNPCTexture = "Interface\\AddOns\\HideNpcTracking\\ObjectIconsHide"
local HideFriendlyTexture = "Interface\\AddOns\\HideNpcTracking\\ObjectIconsHideFriendly"

SLASH_NPCHIDE1, SLASH_NPCHIDE2 = '/hide', '/hide';
local function slashhandler(msg, editbox)
	if (msg == 'npc') then

		_HideNPC.toggle= not _HideNPC.toggle

		if _HideNPC.toggle then
			Minimap:SetBlipTexture(HideNPCTexture)
			print('Hiding NPCs')

		else
			Minimap:SetBlipTexture(BlizzardTexture)
			print('Showing NPCs')
	end


	elseif (msg == 'friendly') then
		_HideNPC.hideFriendly=not _HideNPC.hideFriendly

	if _HideNPC.hideFriendly then
		Minimap:SetBlipTexture(HideFriendlyTexture)
		print('Hiding NPCs and friendly players')
	else
		Minimap:SetBlipTexture(BlizzardTexture)
		print('Showing NPCs and friendly players')
	end

	else
		print('hidenpc: valid commands:')
		print('1: /hide npc')
		print('2: /hide friendly')
	end
end

SlashCmdList["NPCHIDE"] = slashhandler;

local function onEvent(self, event, addonName, ...)
	
	if (event == "ADDON_LOADED" and addonName == "HideNpcTracking") then
		if _HideNPC == nil then
			_HideNPC = {
				toggle = true,
				hideFriendly = false
			}
			Minimap:SetBlipTexture(HideNPCTexture)
		end
	end
end

NpcHide:RegisterEvent("ADDON_LOADED")
NpcHide:SetScript("OnEvent", onEvent)



